#ifndef __UART6_H
#define __UART6_H

#include "interface.h"
#include "queue.h"
#include "stm32f4xx_usart.h"
#include "string.h"

#define UART6_REC_LEN     128
#define UART6_TX_LEN      128
#define UART6_MAX_MSG_NUM 10

#define UART6_DMA      DMA_Channel_5
#define UART6_DMA_RXCH DMA2_Stream2
#define UART6_DMA_TXCH DMA2_Stream6

void uart6_init(void);
void uart6_dma_send(const uint8_t *buf, uint16_t len);

#endif // __UART3_H